/*
 * Copyright 2023 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.filled

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector

public val Icons.Filled.MoveUp: ImageVector
    get() {
        if (_moveUp != null) {
            return _moveUp!!
        }
        _moveUp = materialIcon(name = "Filled.MoveUp") {
            materialPath {
                moveTo(3.0f, 13.0f)
                curveToRelative(0.0f, -2.45f, 1.76f, -4.47f, 4.08f, -4.91f)
                lineTo(5.59f, 9.59f)
                lineTo(7.0f, 11.0f)
                lineToRelative(4.0f, -4.01f)
                lineTo(7.0f, 3.0f)
                lineTo(5.59f, 4.41f)
                lineToRelative(1.58f, 1.58f)
                lineToRelative(0.0f, 0.06f)
                curveTo(3.7f, 6.46f, 1.0f, 9.42f, 1.0f, 13.0f)
                curveToRelative(0.0f, 3.87f, 3.13f, 7.0f, 7.0f, 7.0f)
                horizontalLineToRelative(3.0f)
                verticalLineToRelative(-2.0f)
                horizontalLineTo(8.0f)
                curveTo(5.24f, 18.0f, 3.0f, 15.76f, 3.0f, 13.0f)
                close()
            }
            materialPath {
                moveTo(13.0f, 13.0f)
                verticalLineToRelative(7.0f)
                horizontalLineToRelative(9.0f)
                verticalLineToRelative(-7.0f)
                horizontalLineTo(13.0f)
                close()
                moveTo(20.0f, 18.0f)
                horizontalLineToRelative(-5.0f)
                verticalLineToRelative(-3.0f)
                horizontalLineToRelative(5.0f)
                verticalLineTo(18.0f)
                close()
            }
            materialPath {
                moveTo(13.0f, 4.0f)
                horizontalLineToRelative(9.0f)
                verticalLineToRelative(7.0f)
                horizontalLineToRelative(-9.0f)
                close()
            }
        }
        return _moveUp!!
    }

private var _moveUp: ImageVector? = null
