/*
 * Copyright 2023 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.filled

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector

public val Icons.Filled.Person4: ImageVector
    get() {
        if (_person4 != null) {
            return _person4!!
        }
        _person4 = materialIcon(name = "Filled.Person4") {
            materialPath {
                moveTo(18.39f, 14.56f)
                curveTo(16.71f, 13.7f, 14.53f, 13.0f, 12.0f, 13.0f)
                curveToRelative(-2.53f, 0.0f, -4.71f, 0.7f, -6.39f, 1.56f)
                curveTo(4.61f, 15.07f, 4.0f, 16.1f, 4.0f, 17.22f)
                verticalLineTo(20.0f)
                horizontalLineToRelative(16.0f)
                verticalLineToRelative(-2.78f)
                curveTo(20.0f, 16.1f, 19.39f, 15.07f, 18.39f, 14.56f)
                close()
            }
            materialPath {
                moveTo(12.0f, 12.0f)
                curveToRelative(2.21f, 0.0f, 4.0f, -1.79f, 4.0f, -4.0f)
                curveToRelative(0.0f, -1.37f, 0.0f, -3.5f, 0.0f, -3.5f)
                curveTo(16.0f, 3.67f, 15.33f, 3.0f, 14.5f, 3.0f)
                curveToRelative(-0.52f, 0.0f, -0.98f, 0.27f, -1.25f, 0.67f)
                curveTo(12.98f, 3.27f, 12.52f, 3.0f, 12.0f, 3.0f)
                reflectiveCurveToRelative(-0.98f, 0.27f, -1.25f, 0.67f)
                curveTo(10.48f, 3.27f, 10.02f, 3.0f, 9.5f, 3.0f)
                curveTo(8.67f, 3.0f, 8.0f, 3.67f, 8.0f, 4.5f)
                curveToRelative(0.0f, 0.0f, 0.0f, 2.12f, 0.0f, 3.5f)
                curveTo(8.0f, 10.21f, 9.79f, 12.0f, 12.0f, 12.0f)
                close()
            }
        }
        return _person4!!
    }

private var _person4: ImageVector? = null
