/*
 * Copyright 2023 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.outlined

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector

public val Icons.Outlined.FastForward: ImageVector
    get() {
        if (_fastForward != null) {
            return _fastForward!!
        }
        _fastForward = materialIcon(name = "Outlined.FastForward") {
            materialPath {
                moveTo(15.0f, 9.86f)
                lineTo(18.03f, 12.0f)
                lineTo(15.0f, 14.14f)
                verticalLineTo(9.86f)
                moveTo(6.0f, 9.86f)
                lineTo(9.03f, 12.0f)
                lineTo(6.0f, 14.14f)
                verticalLineTo(9.86f)
                moveTo(13.0f, 6.0f)
                verticalLineToRelative(12.0f)
                lineToRelative(8.5f, -6.0f)
                lineTo(13.0f, 6.0f)
                lineTo(13.0f, 6.0f)
                close()
                moveTo(4.0f, 6.0f)
                verticalLineToRelative(12.0f)
                lineToRelative(8.5f, -6.0f)
                lineTo(4.0f, 6.0f)
                lineTo(4.0f, 6.0f)
                close()
            }
        }
        return _fastForward!!
    }

private var _fastForward: ImageVector? = null
