/*
 * Copyright 2023 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.outlined

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector

public val Icons.Outlined.SportsBar: ImageVector
    get() {
        if (_sportsBar != null) {
            return _sportsBar!!
        }
        _sportsBar = materialIcon(name = "Outlined.SportsBar") {
            materialPath {
                moveTo(15.0f, 19.0f)
                horizontalLineTo(8.0f)
                lineToRelative(0.0f, -6.63f)
                curveToRelative(1.26f, -0.34f, 2.11f, -1.27f, 2.77f, -1.99f)
                curveTo(11.6f, 9.47f, 12.08f, 9.0f, 13.0f, 9.0f)
                lineToRelative(2.0f, 0.0f)
                verticalLineTo(19.0f)
                close()
                moveTo(10.0f, 2.02f)
                curveToRelative(-1.89f, 0.0f, -3.51f, 1.11f, -4.27f, 2.71f)
                curveTo(4.15f, 5.26f, 3.0f, 6.74f, 3.0f, 8.5f)
                curveToRelative(0.0f, 1.86f, 1.28f, 3.41f, 3.0f, 3.86f)
                lineTo(6.0f, 21.0f)
                horizontalLineToRelative(11.0f)
                verticalLineToRelative(-2.0f)
                horizontalLineToRelative(2.0f)
                curveToRelative(1.1f, 0.0f, 2.0f, -0.9f, 2.0f, -2.0f)
                verticalLineToRelative(-6.0f)
                curveToRelative(0.0f, -1.1f, -0.9f, -2.0f, -2.0f, -2.0f)
                horizontalLineToRelative(-1.56f)
                curveTo(17.79f, 8.41f, 18.0f, 7.73f, 18.0f, 7.0f)
                curveToRelative(0.0f, -2.21f, -1.79f, -4.0f, -4.0f, -4.0f)
                curveToRelative(-0.34f, 0.0f, -0.66f, 0.05f, -0.98f, 0.13f)
                curveTo(12.2f, 2.45f, 11.16f, 2.02f, 10.0f, 2.02f)
                lineTo(10.0f, 2.02f)
                close()
                moveTo(7.0f, 10.5f)
                curveToRelative(-1.1f, 0.0f, -2.0f, -0.9f, -2.0f, -2.0f)
                curveToRelative(0.0f, -0.85f, 0.55f, -1.6f, 1.37f, -1.88f)
                lineToRelative(0.8f, -0.27f)
                lineToRelative(0.36f, -0.76f)
                curveTo(8.0f, 4.62f, 8.94f, 4.02f, 10.0f, 4.02f)
                curveToRelative(0.79f, 0.0f, 1.39f, 0.35f, 1.74f, 0.65f)
                lineToRelative(0.78f, 0.65f)
                curveToRelative(0.0f, 0.0f, 0.64f, -0.32f, 1.47f, -0.32f)
                curveToRelative(1.1f, 0.0f, 2.0f, 0.9f, 2.0f, 2.0f)
                curveToRelative(0.0f, 0.0f, -3.0f, 0.0f, -3.0f, 0.0f)
                curveTo(9.67f, 7.0f, 9.15f, 10.5f, 7.0f, 10.5f)
                curveTo(7.0f, 10.5f, 7.0f, 10.5f, 7.0f, 10.5f)
                lineTo(7.0f, 10.5f)
                close()
                moveTo(17.0f, 17.0f)
                verticalLineToRelative(-6.0f)
                horizontalLineToRelative(2.0f)
                verticalLineToRelative(6.0f)
                horizontalLineTo(17.0f)
                lineTo(17.0f, 17.0f)
                close()
            }
        }
        return _sportsBar!!
    }

private var _sportsBar: ImageVector? = null
