/*
 * Copyright 2023 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.twotone

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector

public val Icons.TwoTone.VideoStable: ImageVector
    get() {
        if (_videoStable != null) {
            return _videoStable!!
        }
        _videoStable = materialIcon(name = "TwoTone.VideoStable") {
            materialPath(fillAlpha = 0.3f, strokeAlpha = 0.3f) {
                moveTo(7.063f, 13.319f)
                lineToRelative(1.32f, -4.926f)
                lineToRelative(8.558f, 2.294f)
                lineToRelative(-1.32f, 4.926f)
                close()
            }
            materialPath {
                moveTo(20.0f, 4.0f)
                horizontalLineTo(4.0f)
                curveTo(2.9f, 4.0f, 2.0f, 4.9f, 2.0f, 6.0f)
                verticalLineToRelative(12.0f)
                curveToRelative(0.0f, 1.1f, 0.9f, 2.0f, 2.0f, 2.0f)
                horizontalLineToRelative(16.0f)
                curveToRelative(1.1f, 0.0f, 2.0f, -0.9f, 2.0f, -2.0f)
                verticalLineTo(6.0f)
                curveTo(22.0f, 4.9f, 21.1f, 4.0f, 20.0f, 4.0f)
                close()
                moveTo(4.0f, 18.0f)
                verticalLineTo(6.0f)
                horizontalLineToRelative(2.95f)
                lineToRelative(-2.33f, 8.73f)
                lineTo(16.82f, 18.0f)
                horizontalLineTo(4.0f)
                close()
                moveTo(15.62f, 15.61f)
                lineToRelative(-8.55f, -2.29f)
                lineToRelative(1.31f, -4.92f)
                lineToRelative(8.56f, 2.29f)
                lineTo(15.62f, 15.61f)
                close()
                moveTo(20.0f, 18.0f)
                horizontalLineToRelative(-2.95f)
                lineToRelative(2.34f, -8.73f)
                lineTo(7.18f, 6.0f)
                horizontalLineTo(20.0f)
                verticalLineTo(18.0f)
                close()
            }
        }
        return _videoStable!!
    }

private var _videoStable: ImageVector? = null
