/*
 * Copyright 2023 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.twotone

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector

public val Icons.TwoTone.WaterDamage: ImageVector
    get() {
        if (_waterDamage != null) {
            return _waterDamage!!
        }
        _waterDamage = materialIcon(name = "TwoTone.WaterDamage") {
            materialPath(fillAlpha = 0.3f, strokeAlpha = 0.3f) {
                moveTo(12.0f, 5.69f)
                lineToRelative(-5.0f, 4.5f)
                verticalLineTo(18.0f)
                horizontalLineToRelative(10.0f)
                verticalLineToRelative(-7.81f)
                lineTo(12.0f, 5.69f)
                close()
                moveTo(12.0f, 16.0f)
                curveToRelative(-1.1f, 0.0f, -2.0f, -0.9f, -2.0f, -2.0f)
                curveToRelative(0.0f, -1.1f, 2.0f, -4.0f, 2.0f, -4.0f)
                reflectiveCurveToRelative(2.0f, 2.9f, 2.0f, 4.0f)
                curveTo(14.0f, 15.1f, 13.1f, 16.0f, 12.0f, 16.0f)
                close()
            }
            materialPath {
                moveTo(12.0f, 3.0f)
                lineTo(2.0f, 12.0f)
                horizontalLineToRelative(3.0f)
                verticalLineToRelative(8.0f)
                horizontalLineToRelative(14.0f)
                verticalLineToRelative(-8.0f)
                horizontalLineToRelative(3.0f)
                lineTo(12.0f, 3.0f)
                close()
                moveTo(7.0f, 18.0f)
                verticalLineToRelative(-7.81f)
                lineToRelative(5.0f, -4.5f)
                lineToRelative(5.0f, 4.5f)
                verticalLineTo(18.0f)
                horizontalLineTo(7.0f)
                close()
                moveTo(14.0f, 14.0f)
                curveToRelative(0.0f, 1.1f, -0.9f, 2.0f, -2.0f, 2.0f)
                reflectiveCurveToRelative(-2.0f, -0.9f, -2.0f, -2.0f)
                curveToRelative(0.0f, -1.1f, 2.0f, -4.0f, 2.0f, -4.0f)
                reflectiveCurveTo(14.0f, 12.9f, 14.0f, 14.0f)
                close()
            }
        }
        return _waterDamage!!
    }

private var _waterDamage: ImageVector? = null
